searchData={"items":[{"type":"module","title":"Reydenx","doc":"Reyden-X is an automated service for promoting live broadcasts on\nexternal sites with integrated system of viewers and views management\n\n[API Documentation](https://api.reyden-x.com/docs)\n\n[Website](https://reyden-x.com/en)","ref":"Reydenx.html"},{"type":"function","title":"Reydenx.new/0","doc":"Sends a request to obtain an API access token.\nLogin and password must be set in the environment variables 'REYDENX_EMAIL' and 'REYDENX_PASSWORD'\n\nSee: [API Documentation](https://api.reyden-x.com/docs#/Token/Get_authorization_token_v1_token__post)","ref":"Reydenx.html#new/0"},{"type":"function","title":"Examples: - Reydenx.new/0","doc":"","ref":"Reydenx.html#new/0-examples"},{"type":"function","title":"Success: - Reydenx.new/0","doc":"iex> Reydenx.new()\n    {:ok, %Reydenx.Model.Token{\n      access_token: \"XXX\",\n      token_type: \"bearer\",\n      expires_in: \"2024-01-01T10:00:00.049560+00:00\"\n    }}","ref":"Reydenx.html#new/0-success"},{"type":"function","title":"Fail - Reydenx.new/0","doc":"iex> Reydenx.new()\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/token/\",\n      status_code: 429,\n      message: \"Retry After: 7\"\n    }}","ref":"Reydenx.html#new/0-fail"},{"type":"function","title":"Reydenx.new/1","doc":"Sends a request to obtain an API access token\n\nSee: [API Documentation](https://api.reyden-x.com/docs#/Token/Get_authorization_token_v1_token__post)","ref":"Reydenx.html#new/1"},{"type":"function","title":"Examples: - Reydenx.new/1","doc":"","ref":"Reydenx.html#new/1-examples"},{"type":"function","title":"Success: - Reydenx.new/1","doc":"iex> Reydenx.new({\"some_username\", \"secret_password\"})\n    {:ok, %Reydenx.Model.Token{\n      access_token: \"XXX\",\n      token_type: \"bearer\",\n      expires_in: \"2024-01-01T10:00:00.049560+00:00\"\n    }}","ref":"Reydenx.html#new/1-success"},{"type":"function","title":"Fail - Reydenx.new/1","doc":"iex> Reydenx.new({\"some_username\", \"secret_password\"})\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/token/\",\n      status_code: 429,\n      message: \"Retry After: 7\"\n    }}","ref":"Reydenx.html#new/1-fail"},{"type":"module","title":"Reydenx.Action","doc":"Provides access to order statistics methods, methods for changing the status of orders, as well as for checking the status of jobs","ref":"Reydenx.Action.html"},{"type":"function","title":"Reydenx.Action.add_views/3","doc":"Add Views to Order\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/add_views_v1_orders__order_id__action_add_views__value___patch)","ref":"Reydenx.Action.html#add_views/3"},{"type":"function","title":"Examples: - Reydenx.Action.add_views/3","doc":"","ref":"Reydenx.Action.html#add_views/3-examples"},{"type":"function","title":"Success: - Reydenx.Action.add_views/3","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.add_views(token, 123456, 1000)\n    {:ok, %Reydenx.Model.ActionResult{\n      request_id: \"\",\n      order_id: 123456,\n      action: \"add:views\",\n      value: nil,\n      task: %Reydenx.Model.Task{\n        id: \"h_Hg_ZWcjqRN2sd9GScBqg\",\n        url: \"https://api.reyden-x.com/v1/orders/123456/task/h_Hg_ZWcjqRN2sd9GScBqg/status/\",\n        expires_at: \"2024-07-09T09:21:29.577065+00:00\"\n      }\n    }}","ref":"Reydenx.Action.html#add_views/3-success"},{"type":"function","title":"Fail: - Reydenx.Action.add_views/3","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.add_views(token, 123456, 1000)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Action.html#add_views/3-fail"},{"type":"function","title":"Reydenx.Action.cancel/2","doc":"Cancel Order\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/order_cancel_v1_orders__order_id__action_cancel__patch)","ref":"Reydenx.Action.html#cancel/2"},{"type":"function","title":"Examples: - Reydenx.Action.cancel/2","doc":"","ref":"Reydenx.Action.html#cancel/2-examples"},{"type":"function","title":"Success: - Reydenx.Action.cancel/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.cancel(token, 123456)\n    {:ok, %Reydenx.Model.ActionResult{\n      request_id: \"\",\n      order_id: 123456,\n      action: \"cancel\",\n      value: nil,\n      task: %Reydenx.Model.Task{\n        id: \"h_Hg_ZWcjqRN2sd9GScBqg\",\n        url: \"https://api.reyden-x.com/v1/orders/123456/task/h_Hg_ZWcjqRN2sd9GScBqg/status/\",\n        expires_at: \"2024-07-09T09:21:29.577065+00:00\"\n      }\n    }}","ref":"Reydenx.Action.html#cancel/2-success"},{"type":"function","title":"Fail: - Reydenx.Action.cancel/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.cancel(token, 123456)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Action.html#cancel/2-fail"},{"type":"function","title":"Reydenx.Action.change_increase/3","doc":"Change the time of the smooth set of viewers\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/change_increase_value_v1_orders__order_id__action_increase_change__value___patch)","ref":"Reydenx.Action.html#change_increase/3"},{"type":"function","title":"Examples: - Reydenx.Action.change_increase/3","doc":"","ref":"Reydenx.Action.html#change_increase/3-examples"},{"type":"function","title":"Success: - Reydenx.Action.change_increase/3","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.change_increase(token, 123456, 1000)\n    {:ok, %Reydenx.Model.ActionResult{\n      request_id: \"\",\n      order_id: 123456,\n      action: \"change:increase:value\",\n      value: nil,\n      task: %Reydenx.Model.Task{\n        id: \"h_Hg_ZWcjqRN2sd9GScBqg\",\n        url: \"https://api.reyden-x.com/v1/orders/123456/task/h_Hg_ZWcjqRN2sd9GScBqg/status/\",\n        expires_at: \"2024-07-09T09:21:29.577065+00:00\"\n      }\n    }}","ref":"Reydenx.Action.html#change_increase/3-success"},{"type":"function","title":"Fail: - Reydenx.Action.change_increase/3","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.change_increase(token, 123456, 1000)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Action.html#change_increase/3-fail"},{"type":"function","title":"Reydenx.Action.change_launch_mode/3","doc":"Change Launch Parameters\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/change_launch_params_v1_orders__order_id__action_change_launch__patch)","ref":"Reydenx.Action.html#change_launch_mode/3"},{"type":"function","title":"Examples: - Reydenx.Action.change_launch_mode/3","doc":"","ref":"Reydenx.Action.html#change_launch_mode/3-examples"},{"type":"function","title":"Success: - Reydenx.Action.change_launch_mode/3","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.change_launch_mode(token, 123456, :auto)\n    {:ok, %Reydenx.Model.ActionResult{\n      request_id: \"\",\n      order_id: 123456,\n      action: \"change:launch\",\n      value: nil,\n      task: %Reydenx.Model.Task{\n        id: \"h_Hg_ZWcjqRN2sd9GScBqg\",\n        url: \"https://api.reyden-x.com/v1/orders/123456/task/h_Hg_ZWcjqRN2sd9GScBqg/status/\",\n        expires_at: \"2024-07-09T09:21:29.577065+00:00\"\n      }\n    }}\n\n    iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.change_launch_mode(token, 123456, :manual)\n    {:ok, %Reydenx.Model.ActionResult{\n      request_id: \"\",\n      order_id: 123456,\n      action: \"change:launch\",\n      value: nil,\n      task: %Reydenx.Model.Task{\n        id: \"h_Hg_ZWcjqRN2sd9GScBqg\",\n        url: \"https://api.reyden-x.com/v1/orders/123456/task/h_Hg_ZWcjqRN2sd9GScBqg/status/\",\n        expires_at: \"2024-07-09T09:21:29.577065+00:00\"\n      }\n    }}\n\n    iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.change_launch_mode(token, 123456, :delay, 60)\n    {:ok, %Reydenx.Model.ActionResult{\n      request_id: \"\",\n      order_id: 123456,\n      action: \"change:launch\",\n      value: 60,\n      task: %Reydenx.Model.Task{\n        id: \"h_Hg_ZWcjqRN2sd9GScBqg\",\n        url: \"https://api.reyden-x.com/v1/orders/123456/task/h_Hg_ZWcjqRN2sd9GScBqg/status/\",\n        expires_at: \"2024-07-09T09:21:29.577065+00:00\"\n      }\n    }}","ref":"Reydenx.Action.html#change_launch_mode/3-success"},{"type":"function","title":"Fail: - Reydenx.Action.change_launch_mode/3","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.change_launch_mode(token, 123456, :auto)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Action.html#change_launch_mode/3-fail"},{"type":"function","title":"Reydenx.Action.change_launch_mode/4","doc":"","ref":"Reydenx.Action.html#change_launch_mode/4"},{"type":"function","title":"Reydenx.Action.change_online/3","doc":"Change the Number of Viewers\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/order_change_online_v1_orders__order_id__action_change_online__value___patch)","ref":"Reydenx.Action.html#change_online/3"},{"type":"function","title":"Examples: - Reydenx.Action.change_online/3","doc":"","ref":"Reydenx.Action.html#change_online/3-examples"},{"type":"function","title":"Success: - Reydenx.Action.change_online/3","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.change_online(token, 123456, 1000)\n    {:ok, %Reydenx.Model.ActionResult{\n      request_id: \"\",\n      order_id: 123456,\n      action: \"change:online\",\n      value: nil,\n      task: %Reydenx.Model.Task{\n        id: \"h_Hg_ZWcjqRN2sd9GScBqg\",\n        url: \"https://api.reyden-x.com/v1/orders/123456/task/h_Hg_ZWcjqRN2sd9GScBqg/status/\",\n        expires_at: \"2024-07-09T09:21:29.577065+00:00\"\n      }\n    }}","ref":"Reydenx.Action.html#change_online/3-success"},{"type":"function","title":"Fail: - Reydenx.Action.change_online/3","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.change_online(token, 123456, 1000)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Action.html#change_online/3-fail"},{"type":"function","title":"Reydenx.Action.increase_off/2","doc":"Disable smooth increase of viewers\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/increase_off_v1_orders__order_id__action_increase_off__patch)","ref":"Reydenx.Action.html#increase_off/2"},{"type":"function","title":"Examples: - Reydenx.Action.increase_off/2","doc":"","ref":"Reydenx.Action.html#increase_off/2-examples"},{"type":"function","title":"Success: - Reydenx.Action.increase_off/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.increase_off(token, 123456)\n    {:ok, %Reydenx.Model.ActionResult{\n      request_id: \"\",\n      order_id: 123456,\n      action: \"increase:off\",\n      value: nil,\n      task: %Reydenx.Model.Task{\n        id: \"h_Hg_ZWcjqRN2sd9GScBqg\",\n        url: \"https://api.reyden-x.com/v1/orders/123456/task/h_Hg_ZWcjqRN2sd9GScBqg/status/\",\n        expires_at: \"2024-07-09T09:21:29.577065+00:00\"\n      }\n    }}","ref":"Reydenx.Action.html#increase_off/2-success"},{"type":"function","title":"Fail: - Reydenx.Action.increase_off/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.increase_off(token, 123456)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Action.html#increase_off/2-fail"},{"type":"function","title":"Reydenx.Action.increase_on/3","doc":"Enable smooth increase of viewers\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/increase_on_v1_orders__order_id__action_increase_on__value___patch)","ref":"Reydenx.Action.html#increase_on/3"},{"type":"function","title":"Examples: - Reydenx.Action.increase_on/3","doc":"","ref":"Reydenx.Action.html#increase_on/3-examples"},{"type":"function","title":"Success: - Reydenx.Action.increase_on/3","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.increase_on(token, 123456, 1000)\n    {:ok, %Reydenx.Model.ActionResult{\n      request_id: \"\",\n      order_id: 123456,\n      action: \"increase:on\",\n      value: nil,\n      task: %Reydenx.Model.Task{\n        id: \"h_Hg_ZWcjqRN2sd9GScBqg\",\n        url: \"https://api.reyden-x.com/v1/orders/123456/task/h_Hg_ZWcjqRN2sd9GScBqg/status/\",\n        expires_at: \"2024-07-09T09:21:29.577065+00:00\"\n      }\n    }}","ref":"Reydenx.Action.html#increase_on/3-success"},{"type":"function","title":"Fail: - Reydenx.Action.increase_on/3","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.increase_on(token, 123456, 1000)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Action.html#increase_on/3-fail"},{"type":"function","title":"Reydenx.Action.run/2","doc":"Run Order\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/order_run_v1_orders__order_id__action_run__patch)","ref":"Reydenx.Action.html#run/2"},{"type":"function","title":"Examples: - Reydenx.Action.run/2","doc":"","ref":"Reydenx.Action.html#run/2-examples"},{"type":"function","title":"Success: - Reydenx.Action.run/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.run(token, 123456)\n    {:ok, %Reydenx.Model.ActionResult{\n      request_id: \"\",\n      order_id: 123456,\n      action: \"run\",\n      value: nil,\n      task: %Reydenx.Model.Task{\n        id: \"h_Hg_ZWcjqRN2sd9GScBqg\",\n        url: \"https://api.reyden-x.com/v1/orders/123456/task/h_Hg_ZWcjqRN2sd9GScBqg/status/\",\n        expires_at: \"2024-07-09T09:21:29.577065+00:00\"\n      }\n    }}","ref":"Reydenx.Action.html#run/2-success"},{"type":"function","title":"Fail: - Reydenx.Action.run/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.run(token, 123456)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Action.html#run/2-fail"},{"type":"function","title":"Reydenx.Action.stop/2","doc":"Stop Order\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/order_stop_v1_orders__order_id__action_stop__patch)","ref":"Reydenx.Action.html#stop/2"},{"type":"function","title":"Examples: - Reydenx.Action.stop/2","doc":"","ref":"Reydenx.Action.html#stop/2-examples"},{"type":"function","title":"Success: - Reydenx.Action.stop/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.stop(token, 123456)\n    {:ok, %Reydenx.Model.ActionResult{\n      request_id: \"\",\n      order_id: 123456,\n      action: \"stop\",\n      value: nil,\n      task: %Reydenx.Model.Task{\n        id: \"h_Hg_ZWcjqRN2sd9GScBqg\",\n        url: \"https://api.reyden-x.com/v1/orders/123456/task/h_Hg_ZWcjqRN2sd9GScBqg/status/\",\n        expires_at: \"2024-07-09T09:21:29.577065+00:00\"\n      }\n    }}","ref":"Reydenx.Action.html#stop/2-success"},{"type":"function","title":"Fail: - Reydenx.Action.stop/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.stop(token, 123456)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Action.html#stop/2-fail"},{"type":"function","title":"Reydenx.Action.task_status/3","doc":"Check the Task Status\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/order_get_task_status_v1_orders__order_id__task__task_id__status__get)","ref":"Reydenx.Action.html#task_status/3"},{"type":"function","title":"Examples: - Reydenx.Action.task_status/3","doc":"","ref":"Reydenx.Action.html#task_status/3-examples"},{"type":"function","title":"Success: - Reydenx.Action.task_status/3","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.task_status(token, \"some_task_id\")\n    {:ok, %Reydenx.Model.TaskStatus{}}","ref":"Reydenx.Action.html#task_status/3-success"},{"type":"function","title":"Fail: - Reydenx.Action.task_status/3","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Action.task_status(token, \"some_task_id\")\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Action.html#task_status/3-fail"},{"type":"type","title":"Reydenx.Action.p/0","doc":"","ref":"Reydenx.Action.html#t:p/0"},{"type":"type","title":"Reydenx.Action.t/0","doc":"","ref":"Reydenx.Action.html#t:t/0"},{"type":"module","title":"Reydenx.Client","doc":"A wrapper for 'HTTPoison'. Used to obtain an API access token, implements the 'GET', 'POST', 'PATCH' methods","ref":"Reydenx.Client.html"},{"type":"function","title":"Reydenx.Client.get/3","doc":"GET Request","ref":"Reydenx.Client.html#get/3"},{"type":"function","title":"Reydenx.Client.patch/3","doc":"PATCH Request","ref":"Reydenx.Client.html#patch/3"},{"type":"function","title":"Reydenx.Client.patch/4","doc":"","ref":"Reydenx.Client.html#patch/4"},{"type":"function","title":"Reydenx.Client.post/3","doc":"POST Request","ref":"Reydenx.Client.html#post/3"},{"type":"type","title":"Reydenx.Client.s/0","doc":"","ref":"Reydenx.Client.html#t:s/0"},{"type":"type","title":"Reydenx.Client.t/0","doc":"","ref":"Reydenx.Client.html#t:t/0"},{"type":"module","title":"Reydenx.Guards","doc":"","ref":"Reydenx.Guards.html"},{"type":"macro","title":"Reydenx.Guards.is_action_result/1","doc":"","ref":"Reydenx.Guards.html#is_action_result/1"},{"type":"macro","title":"Reydenx.Guards.is_gt/2","doc":"","ref":"Reydenx.Guards.html#is_gt/2"},{"type":"macro","title":"Reydenx.Guards.is_lt/2","doc":"","ref":"Reydenx.Guards.html#is_lt/2"},{"type":"macro","title":"Reydenx.Guards.is_result/1","doc":"","ref":"Reydenx.Guards.html#is_result/1"},{"type":"macro","title":"Reydenx.Guards.is_valid_result/1","doc":"","ref":"Reydenx.Guards.html#is_valid_result/1"},{"type":"macro","title":"Reydenx.Guards.is_valid_string/1","doc":"","ref":"Reydenx.Guards.html#is_valid_string/1"},{"type":"macro","title":"Reydenx.Guards.is_valid_token/1","doc":"","ref":"Reydenx.Guards.html#is_valid_token/1"},{"type":"module","title":"Reydenx.Model.ActionResult","doc":"","ref":"Reydenx.Model.ActionResult.html"},{"type":"module","title":"Reydenx.Model.Balance","doc":"","ref":"Reydenx.Model.Balance.html"},{"type":"module","title":"Reydenx.Model.DateQuantity","doc":"","ref":"Reydenx.Model.DateQuantity.html"},{"type":"module","title":"Reydenx.Model.DomainStat","doc":"","ref":"Reydenx.Model.DomainStat.html"},{"type":"module","title":"Reydenx.Model.IdQuantity","doc":"","ref":"Reydenx.Model.IdQuantity.html"},{"type":"module","title":"Reydenx.Model.MinMaxStep","doc":"","ref":"Reydenx.Model.MinMaxStep.html"},{"type":"module","title":"Reydenx.Model.Online","doc":"","ref":"Reydenx.Model.Online.html"},{"type":"module","title":"Reydenx.Model.Order","doc":"","ref":"Reydenx.Model.Order.html"},{"type":"module","title":"Reydenx.Model.Payment","doc":"","ref":"Reydenx.Model.Payment.html"},{"type":"module","title":"Reydenx.Model.Price","doc":"","ref":"Reydenx.Model.Price.html"},{"type":"module","title":"Reydenx.Model.PriceCategory","doc":"","ref":"Reydenx.Model.PriceCategory.html"},{"type":"module","title":"Reydenx.Model.ResponseError","doc":"","ref":"Reydenx.Model.ResponseError.html"},{"type":"module","title":"Reydenx.Model.Result","doc":"","ref":"Reydenx.Model.Result.html"},{"type":"module","title":"Reydenx.Model.Task","doc":"","ref":"Reydenx.Model.Task.html"},{"type":"module","title":"Reydenx.Model.TaskStatus","doc":"","ref":"Reydenx.Model.TaskStatus.html"},{"type":"module","title":"Reydenx.Model.Token","doc":"","ref":"Reydenx.Model.Token.html"},{"type":"module","title":"Reydenx.Model.Traffic","doc":"","ref":"Reydenx.Model.Traffic.html"},{"type":"module","title":"Reydenx.Model.User","doc":"","ref":"Reydenx.Model.User.html"},{"type":"module","title":"Reydenx.Order","doc":"Provides methods for working with orders","ref":"Reydenx.Order.html"},{"type":"function","title":"Reydenx.Order.all/1","doc":"All Orders\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/orders_v1_orders__get)","ref":"Reydenx.Order.html#all/1"},{"type":"function","title":"Examples: - Reydenx.Order.all/1","doc":"","ref":"Reydenx.Order.html#all/1-examples"},{"type":"function","title":"Success: - Reydenx.Order.all/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.all(token)\n    {:ok, %Reydenx.Model.Result{\n      request_id: \"aeB9_Wdm_dnt43gKSU_WXQ1720074136.561463\",\n      cached: true,\n      cache_expires_at: \"2024-01-01T10:00:00.049560+00:00\",\n      cursor: \"XXX\",\n      result: [\n        %Reydenx.Model.Order{\n          id: 123456,\n          created_at: ~U[2024-01-01T10:00:00.049560Z],\n          updated_at: ~U[2024-01-01T10:00:00.049560Z],\n          uuid: \"4f2ba79b-8c36-4651-84ca-ca6cc0df42cf\",\n          status: \"closed\",\n          ordered_view_qty: 10000,\n          price_per_view: 0.1,\n          is_autostart: true,\n          online_users_limit: 1000,\n          tariff_id: 123456,\n          platform: \"twitch\",\n          content_type: \"stream\",\n          parameters: %{\n            \"delay\" => false,\n            \"delay_time\" => 0,\n            \"even_distribution\" => false,\n            \"even_distribution_time\" => 0,\n            \"launch_mode\" => \"auto\",\n            \"work_mode\" => \"with-stream\"\n          },\n          extras: %{\n            \"game_name\" => nil,\n            \"image_url\" => \"XXX\",\n            \"twitch_channel\" => \"channel\",\n            \"twitch_id\" => 123456\n          },\n          statistics: nil,\n          content_classification_labels: [\n            \"MatureGame\",\n            \"ViolentGraphic\"\n          ]\n        }\n      ]\n    }}","ref":"Reydenx.Order.html#all/1-success"},{"type":"function","title":"Fail: - Reydenx.Order.all/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.all(token)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Order.html#all/1-fail"},{"type":"function","title":"Reydenx.Order.all/2","doc":"","ref":"Reydenx.Order.html#all/2"},{"type":"function","title":"Reydenx.Order.clicks/2","doc":"Detailed Information about Clicks\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/order_stats_clicks_v1_orders__order_id__statistics_clicks__get)","ref":"Reydenx.Order.html#clicks/2"},{"type":"function","title":"Examples: - Reydenx.Order.clicks/2","doc":"","ref":"Reydenx.Order.html#clicks/2-examples"},{"type":"function","title":"Success: - Reydenx.Order.clicks/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.clicks(token, 123456)\n    {:ok, %Reydenx.Model.Result{\n      request_id: \"aE4SaOdwC1to94KdLpnOdA1720076109.665816\",\n      cached: false,\n      cache_expires_at: \"2024-01-01T10:00:00.049560+00:00\",\n      cursor: nil,\n      result: [\n        %Reydenx.Model.DateQuantity{\n          date: \"2022-05-30\",\n          quantity: 30\n        }\n      ]\n    }}","ref":"Reydenx.Order.html#clicks/2-success"},{"type":"function","title":"Fail: - Reydenx.Order.clicks/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.clicks(token, 123456)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Order.html#clicks/2-fail"},{"type":"function","title":"Reydenx.Order.details/2","doc":"Detailed Order Information\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/order_details_v1_orders__order_id___get)","ref":"Reydenx.Order.html#details/2"},{"type":"function","title":"Examples: - Reydenx.Order.details/2","doc":"","ref":"Reydenx.Order.html#details/2-examples"},{"type":"function","title":"Success: - Reydenx.Order.details/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.details(token, 123456)\n    {:ok, %Reydenx.Model.Result{\n      request_id: \"DvXr4OjdKgHHrH0NNkmvzw1720075199.128009\",\n      cached: true,\n      cache_expires_at: \"2024-01-01T10:00:00.049560+00:00\",\n      cursor: nil,\n      result: %Reydenx.Model.Order{\n        id: 123456,\n        created_at: ~U[2024-01-01T10:00:00.049560Z],\n        updated_at: ~U[2024-01-01T10:00:00.049560Z],\n        uuid: \"e67d9c84-bced-4a8e-b448-00bbf5c49d29\",\n        status: \"closed\",\n        ordered_view_qty: 1000,\n        price_per_view: 0.2,\n        is_autostart: true,\n        online_users_limit: 100,\n        tariff_id: 123456,\n        platform: \"twitch\",\n        content_type: \"stream\",\n        parameters: %{\n          \"delay\" => false,\n          \"delay_time\" => 0,\n          \"even_distribution\" => false,\n          \"even_distribution_time\" => 0,\n          \"launch_mode\" => \"manual\",\n          \"work_mode\" => \"with-stream\"\n        },\n        extras: %{\n          \"game_name\" => nil,\n          \"image_url\" => \"XXX\",\n          \"twitch_channel\" => \"channel\",\n          \"twitch_id\" => 123456\n        },\n        statistics: %{\n          \"active_time_in_seconds\" => 0,\n          \"average\" => %{\n            \"online\" => %{\"in_fact\" => 0, \"in_settings\" => 0},\n            \"session_in_seconds\" => 0\n          },\n          \"clicks\" => 23,\n          \"ctr\" => 2.1,\n          \"views\" => 1091\n        },\n        content_classification_labels: []\n      }\n    }}","ref":"Reydenx.Order.html#details/2-success"},{"type":"function","title":"Fail: - Reydenx.Order.details/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.details(token, 123456)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Order.html#details/2-fail"},{"type":"function","title":"Reydenx.Order.multiple/3","doc":"View statistics for multiple orders. Click-through statistics for multiple orders.\n\n[API Documentation (Views)](https://api.reyden-x.com/docs#/Orders/multiple_views_v1_orders_multiple_views__post)\n\n[API Documentation (Clicks)](https://api.reyden-x.com/docs#/Orders/multiple_clicks_v1_orders_multiple_clicks__post)","ref":"Reydenx.Order.html#multiple/3"},{"type":"function","title":"Examples: - Reydenx.Order.multiple/3","doc":"","ref":"Reydenx.Order.html#multiple/3-examples"},{"type":"function","title":"Success: - Reydenx.Order.multiple/3","doc":"Views:\n\n    iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.multiple(token, :views, [123456])\n    {:ok, %Reydenx.Model.Result{\n      request_id: \"aE4SaOdwC1to94KdLpnOdA1720076109.665816\",\n      cached: false,\n      cache_expires_at: \"2024-01-01T10:00:00.049560+00:00\",\n      cursor: nil,\n      result: [\n        %Reydenx.Model.IdQuantity{\n          id: 123456,\n          quantity: 1000\n        }\n      ]\n    }}\n\n    Clicks:\n\n    iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.multiple(token, :clicks, [123456])\n    {:ok, %Reydenx.Model.Result{\n      request_id: \"aE4SaOdwC1to94KdLpnOdA1720076109.665816\",\n      cached: false,\n      cache_expires_at: \"2024-01-01T10:00:00.049560+00:00\",\n      cursor: nil,\n      result: [\n        %Reydenx.Model.IdQuantity{\n          id: 123456,\n          quantity: 35\n        }\n      ]\n    }}","ref":"Reydenx.Order.html#multiple/3-success"},{"type":"function","title":"Fail: - Reydenx.Order.multiple/3","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.multiple(token, :views, [123456])\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Order.html#multiple/3-fail"},{"type":"function","title":"Reydenx.Order.online/2","doc":"Detailed Information about Users Online\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/order_stats_online_v1_orders__order_id__statistics_online__get)","ref":"Reydenx.Order.html#online/2"},{"type":"function","title":"Examples: - Reydenx.Order.online/2","doc":"","ref":"Reydenx.Order.html#online/2-examples"},{"type":"function","title":"Success: - Reydenx.Order.online/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.online(token, 123456)\n    {:ok, %Reydenx.Model.Result{\n      request_id: \"aE4SaOdwC1to94KdLpnOdA1720076109.665816\",\n      cached: false,\n      cache_expires_at: \"2024-01-01T10:00:00.049560+00:00\",\n      cursor: nil,\n      result: [\n        %Reydenx.Model.Online{\n          created_at: ~U[2024-01-01T10:00:00.049560Z],\n          in_settings: 1000,\n          in_fact: 998\n        }\n      ]\n    }}","ref":"Reydenx.Order.html#online/2-success"},{"type":"function","title":"Fail: - Reydenx.Order.online/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.online(token, 123456)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Order.html#online/2-fail"},{"type":"function","title":"Reydenx.Order.payments/2","doc":"Order Payments\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/order_payments_v1_orders__order_id__payments__get)","ref":"Reydenx.Order.html#payments/2"},{"type":"function","title":"Examples: - Reydenx.Order.payments/2","doc":"","ref":"Reydenx.Order.html#payments/2-examples"},{"type":"function","title":"Success: - Reydenx.Order.payments/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.payments(token, 123456)\n    {:ok, %Reydenx.Model.Result{\n      request_id: \"aE4SaOdwC1to94KdLpnOdA1720076109.665816\",\n      cached: false,\n      cache_expires_at: \"2024-01-01T10:00:00.049560+00:00\",\n      cursor: nil,\n      result: [\n        %Reydenx.Model.Payment{\n          id: 123456,\n          created_at: ~U[2024-01-01T10:00:00.049560Z],\n          updated_at: ~U[2024-01-01T10:00:00.049560Z],\n          payed_at: ~U[2024-01-01T10:00:00.049560Z],\n          order_id: 123456,\n          amount: 1000.0,\n          external_id: \"XXX\",\n          uuid: \"e67d9c84-bced-4a8e-b448-00bbf5c49d29\",\n          receipt: nil\n        }\n      ]\n    }}","ref":"Reydenx.Order.html#payments/2-success"},{"type":"function","title":"Fail: - Reydenx.Order.payments/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.payments(token, 123456)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Order.html#payments/2-fail"},{"type":"function","title":"Reydenx.Order.payments/3","doc":"","ref":"Reydenx.Order.html#payments/3"},{"type":"function","title":"Reydenx.Order.sites/2","doc":"Detailed Information about Sites\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/order_stats_sites_v1_orders__order_id__statistics_sites__get)","ref":"Reydenx.Order.html#sites/2"},{"type":"function","title":"Examples: - Reydenx.Order.sites/2","doc":"","ref":"Reydenx.Order.html#sites/2-examples"},{"type":"function","title":"Success: - Reydenx.Order.sites/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.sites(token, 123456)\n    {:ok, %Reydenx.Model.Result{\n      request_id: \"aE4SaOdwC1to94KdLpnOdA1720076109.665816\",\n      cached: false,\n      cache_expires_at: \"2024-01-01T10:00:00.049560+00:00\",\n      cursor: nil,\n      result: [\n        %Reydenx.Model.DomainStat{\n          domain: \"example.com\",\n          views: 100,\n          clicks: 3,\n          ctr: 3.0\n        }\n      ]\n    }}","ref":"Reydenx.Order.html#sites/2-success"},{"type":"function","title":"Fail: - Reydenx.Order.sites/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.sites(token, 123456)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Order.html#sites/2-fail"},{"type":"function","title":"Reydenx.Order.views/2","doc":"Detailed Information about Views\n\n[API Documentation](https://api.reyden-x.com/docs#/Orders/order_stats_views_v1_orders__order_id__statistics_views__get)","ref":"Reydenx.Order.html#views/2"},{"type":"function","title":"Examples: - Reydenx.Order.views/2","doc":"","ref":"Reydenx.Order.html#views/2-examples"},{"type":"function","title":"Success: - Reydenx.Order.views/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.views(token, 123456)\n    {:ok, %Reydenx.Model.Result{\n      request_id: \"aE4SaOdwC1to94KdLpnOdA1720076109.665816\",\n      cached: false,\n      cache_expires_at: \"2024-01-01T10:00:00.049560+00:00\",\n      cursor: nil,\n      result: [\n        %Reydenx.Model.DateQuantity{\n          date: \"2022-05-30\",\n          quantity: 1000\n        }\n      ]\n    }}","ref":"Reydenx.Order.html#views/2-success"},{"type":"function","title":"Fail: - Reydenx.Order.views/2","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Order.views(token, 123456)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Order.html#views/2-fail"},{"type":"type","title":"Reydenx.Order.res/0","doc":"","ref":"Reydenx.Order.html#t:res/0"},{"type":"type","title":"Reydenx.Order.t/0","doc":"","ref":"Reydenx.Order.html#t:t/0"},{"type":"module","title":"Reydenx.Price","doc":"Provides access to methods for obtaining current prices and fare categories","ref":"Reydenx.Price.html"},{"type":"function","title":"Reydenx.Price.categories/1","doc":"All Price Categories\n\nSee: [API Documentation](https://api.reyden-x.com/docs#/Price%20Categories/categories_v1_price_categories__get)","ref":"Reydenx.Price.html#categories/1"},{"type":"function","title":"Examples: - Reydenx.Price.categories/1","doc":"","ref":"Reydenx.Price.html#categories/1-examples"},{"type":"function","title":"Success: - Reydenx.Price.categories/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Price.categories(token)\n    {:ok, %Reydenx.Model.Result{}}","ref":"Reydenx.Price.html#categories/1-success"},{"type":"function","title":"Fail - Reydenx.Price.categories/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Price.categories(token)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Price.html#categories/1-fail"},{"type":"function","title":"Reydenx.Price.goodgame/1","doc":"All Prices for GoodGame\n\nSee: [API Documentation](https://api.reyden-x.com/docs#/Prices/prices_v1_prices__platform_code___get)","ref":"Reydenx.Price.html#goodgame/1"},{"type":"function","title":"Examples: - Reydenx.Price.goodgame/1","doc":"","ref":"Reydenx.Price.html#goodgame/1-examples"},{"type":"function","title":"Success: - Reydenx.Price.goodgame/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Price.goodgame(token)\n    {:ok, %Reydenx.Model.Result{}}","ref":"Reydenx.Price.html#goodgame/1-success"},{"type":"function","title":"Fail - Reydenx.Price.goodgame/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Price.goodgame(token)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Price.html#goodgame/1-fail"},{"type":"function","title":"Reydenx.Price.trovo/1","doc":"All Prices for Trovo\n\nSee: [API Documentation](https://api.reyden-x.com/docs#/Prices/prices_v1_prices__platform_code___get)","ref":"Reydenx.Price.html#trovo/1"},{"type":"function","title":"Examples: - Reydenx.Price.trovo/1","doc":"","ref":"Reydenx.Price.html#trovo/1-examples"},{"type":"function","title":"Success: - Reydenx.Price.trovo/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Price.trovo(token)\n    {:ok, %Reydenx.Model.Result{}}","ref":"Reydenx.Price.html#trovo/1-success"},{"type":"function","title":"Fail - Reydenx.Price.trovo/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Price.trovo(token)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Price.html#trovo/1-fail"},{"type":"function","title":"Reydenx.Price.twitch/1","doc":"All Prices for Twitch\n\nSee: [API Documentation](https://api.reyden-x.com/docs#/Prices/prices_v1_prices__platform_code___get)","ref":"Reydenx.Price.html#twitch/1"},{"type":"function","title":"Examples: - Reydenx.Price.twitch/1","doc":"","ref":"Reydenx.Price.html#twitch/1-examples"},{"type":"function","title":"Success: - Reydenx.Price.twitch/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Price.twitch(token)\n    {:ok, %Reydenx.Model.Result{}}","ref":"Reydenx.Price.html#twitch/1-success"},{"type":"function","title":"Fail - Reydenx.Price.twitch/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Price.twitch(token)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Price.html#twitch/1-fail"},{"type":"function","title":"Reydenx.Price.vkplay/1","doc":"All Prices for Vk Play\n\nSee: [API Documentation](https://api.reyden-x.com/docs#/Prices/prices_v1_prices__platform_code___get)","ref":"Reydenx.Price.html#vkplay/1"},{"type":"function","title":"Examples: - Reydenx.Price.vkplay/1","doc":"","ref":"Reydenx.Price.html#vkplay/1-examples"},{"type":"function","title":"Success: - Reydenx.Price.vkplay/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Price.vkplay(token)\n    {:ok, %Reydenx.Model.Result{}}","ref":"Reydenx.Price.html#vkplay/1-success"},{"type":"function","title":"Fail - Reydenx.Price.vkplay/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Price.vkplay(token)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Price.html#vkplay/1-fail"},{"type":"function","title":"Reydenx.Price.youtube/1","doc":"All Prices for YouTube\n\nSee: [API Documentation](https://api.reyden-x.com/docs#/Prices/prices_v1_prices__platform_code___get)","ref":"Reydenx.Price.html#youtube/1"},{"type":"function","title":"Examples: - Reydenx.Price.youtube/1","doc":"","ref":"Reydenx.Price.html#youtube/1-examples"},{"type":"function","title":"Success: - Reydenx.Price.youtube/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Price.youtube(token)\n    {:ok, %Reydenx.Model.Result{}}","ref":"Reydenx.Price.html#youtube/1-success"},{"type":"function","title":"Fail - Reydenx.Price.youtube/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Price.youtube(token)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Price.html#youtube/1-fail"},{"type":"type","title":"Reydenx.Price.t/0","doc":"","ref":"Reydenx.Price.html#t:t/0"},{"type":"module","title":"Reydenx.Response","doc":"","ref":"Reydenx.Response.html"},{"type":"function","title":"Reydenx.Response.handler/1","doc":"","ref":"Reydenx.Response.html#handler/1"},{"type":"function","title":"Reydenx.Response.handler/2","doc":"","ref":"Reydenx.Response.html#handler/2"},{"type":"function","title":"Reydenx.Response.handler/3","doc":"","ref":"Reydenx.Response.html#handler/3"},{"type":"module","title":"Reydenx.Traffic","doc":"Provides access to methods for obtaining information about current tariffs and tariff categories","ref":"Reydenx.Traffic.html"},{"type":"function","title":"Reydenx.Traffic.countries/1","doc":"Traffic Statistics by Country\n\n[API Documentation](https://api.reyden-x.com/docs#/Traffic/Traffic_statistics_by_country_v1_traffic_countries__get)","ref":"Reydenx.Traffic.html#countries/1"},{"type":"function","title":"Examples: - Reydenx.Traffic.countries/1","doc":"","ref":"Reydenx.Traffic.html#countries/1-examples"},{"type":"function","title":"Success: - Reydenx.Traffic.countries/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Traffic.countries(token)\n    {:ok, %Reydenx.Model.Result{}}","ref":"Reydenx.Traffic.html#countries/1-success"},{"type":"function","title":"Fail - Reydenx.Traffic.countries/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Traffic.countries(token)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Traffic.html#countries/1-fail"},{"type":"function","title":"Reydenx.Traffic.devices/1","doc":"Traffic Statistics by Device\n\n[API Documentation](https://api.reyden-x.com/docs#/Traffic/Traffic_statistics_by_device_type_v1_traffic_devices__get)","ref":"Reydenx.Traffic.html#devices/1"},{"type":"function","title":"Examples: - Reydenx.Traffic.devices/1","doc":"","ref":"Reydenx.Traffic.html#devices/1-examples"},{"type":"function","title":"Success: - Reydenx.Traffic.devices/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Traffic.devices(token)\n    {:ok, %Reydenx.Model.Result{}}","ref":"Reydenx.Traffic.html#devices/1-success"},{"type":"function","title":"Fail - Reydenx.Traffic.devices/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Traffic.devices(token)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Traffic.html#devices/1-fail"},{"type":"function","title":"Reydenx.Traffic.languages/1","doc":"Traffic Statistics by Language\n\n[API Documentation](https://api.reyden-x.com/docs#/Traffic/Traffic_statistics_by_language_v1_traffic_languages__get)","ref":"Reydenx.Traffic.html#languages/1"},{"type":"function","title":"Examples: - Reydenx.Traffic.languages/1","doc":"","ref":"Reydenx.Traffic.html#languages/1-examples"},{"type":"function","title":"Success: - Reydenx.Traffic.languages/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Traffic.languages(token)\n    {:ok, %Reydenx.Model.Result{}}","ref":"Reydenx.Traffic.html#languages/1-success"},{"type":"function","title":"Fail - Reydenx.Traffic.languages/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.Traffic.languages(token)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.Traffic.html#languages/1-fail"},{"type":"module","title":"Reydenx.User","doc":"Provides access to methods for obtaining account and balance information","ref":"Reydenx.User.html"},{"type":"function","title":"Reydenx.User.account/1","doc":"User Account\n\n[API Documentation](https://api.reyden-x.com/docs#/User/get_user_v1_user__get)","ref":"Reydenx.User.html#account/1"},{"type":"function","title":"Examples: - Reydenx.User.account/1","doc":"","ref":"Reydenx.User.html#account/1-examples"},{"type":"function","title":"Success: - Reydenx.User.account/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.User.account(token)\n    {:ok, %Reydenx.Model.User{}}","ref":"Reydenx.User.html#account/1-success"},{"type":"function","title":"Fail - Reydenx.User.account/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.User.account(token)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.User.html#account/1-fail"},{"type":"function","title":"Reydenx.User.balance/1","doc":"User Balance\n\n[API Documentation](https://api.reyden-x.com/docs#/User/get_balance_v1_user_balance__get)","ref":"Reydenx.User.html#balance/1"},{"type":"function","title":"Examples: - Reydenx.User.balance/1","doc":"","ref":"Reydenx.User.html#balance/1-examples"},{"type":"function","title":"Success: - Reydenx.User.balance/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.User.balance(token)\n    {:ok, %Reydenx.Model.User{}}","ref":"Reydenx.User.html#balance/1-success"},{"type":"function","title":"Fail - Reydenx.User.balance/1","doc":"iex> {:ok, token} = Reydenx.new()\n    iex> Reydenx.User.balance(token)\n    {:error, %Reydenx.Model.ResponseError{\n      path: \"/\",\n      status_code: 404,\n      message: \"Not Found\"\n    }}","ref":"Reydenx.User.html#balance/1-fail"},{"type":"module","title":"Reydenx.Utils","doc":"","ref":"Reydenx.Utils.html"},{"type":"function","title":"Reydenx.Utils.http_client/0","doc":"","ref":"Reydenx.Utils.html#http_client/0"},{"type":"extras","title":"Reydenx","doc":"# Reydenx\n\nReyden-X is an automated service for promoting live broadcasts on external sites with integrated system of viewers and views management","ref":"readme.html"},{"type":"extras","title":"Installation - Reydenx","doc":"```elixir\ndef deps do\n  [\n    {:reydenx, \"~> 0.1.2\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Basic Usage - Reydenx","doc":"```elixir\niex(1)> {:ok, token} = Reydenx.new()\n{:ok,\n %Reydenx.Model.Token{\n   access_token: \"XXX\",\n   token_type: \"bearer\",\n   expires_in: ~U[2024-07-05 19:31:54.931770Z]\n}}\niex(2)> {:ok, account} = Reydenx.User.account(token)\n{:ok,\n %Reydenx.Model.User{\n  id: 123456,\n  username: \"someusername\",\n  date_joined: \"2022-01-19T09:51:13+00:00\",\n  email: \"someuseremail@gmail.com\",\n  is_active: true,\n  is_blocked: false,\n  has_image: false,\n  image_extension: nil,\n  image_url: \"\",\n  currency_id: 1,\n  discount_value: 0,\n  is_reseller: true,\n  twitch_id: 0,\n  twitch_login: \"\"   \n}}\n```","ref":"readme.html#basic-usage"},{"type":"extras","title":"Environment Variables - Reydenx","doc":"|Name|Description|Required|\n|---|---|---|\n|REYDENX_EMAIL|Reyden-X Email|No|\n|REYDENX_PASSWORD|Reyden-X Password|No|\n\nFull documentation: https://hexdocs.pm/reydenx","ref":"readme.html#environment-variables"},{"type":"extras","title":"LICENSE","doc":"MIT License\n\nCopyright (c) 2024, Ruslan Semagin.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}